Subject: [bug#43781] [PATCH 2/2] gnu: Add cgoban

From: Tomás Ortín <[email-masked]>
Date: Thu, 22 Oct 2020 15:07:43 +0000

Hello,

Thank you for your feedback. I will add a comment about the tests.

About the patch: it's taken from the Gentoo package. I first tried packaging cgoban without any package and it consistently failed at configure phase, no matter the flags I passed. I decided to check the Gentoo package to see how they built it, as I have used cgoban in that distribution before and works well, and saw they just added this patch. Tried adding it, and it works. But I won't pretend to understand why.

If adding the patch is not a good solution, could someone help me figure out how to properly pack cgoban? Sorry about the inconvenience.

Tomás Ortín

On October 22, 2020 2:55:38 PM UTC, "Ludovic Courtès" <[email-masked]> wrote:
>Hi,
>
>Tomás Ortín Fernández <[email-masked]> skribis:
>
>> Sorry, I see I should have sent it all in one email.
>>
>> * gnu/packages/games.scm (cgoban): New variable.
>
>Sorry for the delay!  Some comments:
>
>> +    (arguments
>> +     `(#:tests? #t))
>
>Please add a short comment explaining why tests are disabled.
>
>> --- /dev/null
>> +++ b/gnu/packages/patches/cgoban-1.9.14-cflags.patch
>> @@ -0,0 +1,40 @@
>> +--- a/configure.in
>> ++++ b/configure.in
>
>Patches should start with a couple lines stating the origin, their
>upstream status, and what they do.
>
>Patches also need to be listed in ‘gnu/local.mk’ and mentioned in the
>commit log.
>
>However, I suspect this patch has no effect: since ‘autoconf’ is not an
>input of the package, its ‘configure’ script cannot be rebuilt to take
>those changes into account.
>
>Perhaps you can just remove it?
>
>Could you send a second version?
>
>Thanks!
>
>Ludo’.